## org.eclipse.emf.mapping
Interface MappingHelper

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  ComplexTypeConverter, FunctionNamePair, FunctionPair, MappingStrategy, TypeConverter

All Known Implementing Classes:
  ComplexTypeConverterImpl, FunctionNamePairImpl, FunctionPairImpl, MappingHelperImpl, MappingStrategyImpl, TypeConverterImpl

    public interface MappingHelper

extends EObject

A representation of the model object 'Helper'.

The following features are supported:

- `Mapper`
- `Helped Object`
- `Nested In`
- `Nested`

See Also:
  `MappingPackage.getMappingHelper()`

Method Summary
`EObject` `getHelpedObject()` Returns the value of the 'Helped Object' reference
`Mapping` `getMapper()` Returns the value of the 'Mapper' container reference.
`EList<MappingHelper>` `getNested()` Returns the value of the 'Nested' containment reference list.
`MappingHelper` `getNestedIn()` Returns the value of the 'Nested In' container reference.
`void` `setHelpedObject(EObject value)` Sets the value of the '`Helped Object`' reference
`void` `setMapper(Mapping value)` Sets the value of the '`Mapper`' container reference
`void` `setNestedIn(MappingHelper value)` Sets the value of the '`Nested In`' container reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMapper

    Mapping getMapper()

  Returns the value of the 'Mapper' container reference. It is bidirectional and its opposite is '`Helper`'.

  Returns:
    the value of the 'Mapper' container reference.
  See Also:
    `setMapper(Mapping)`, `MappingPackage.getMappingHelper_Mapper()`, `Mapping.getHelper()`

### setMapper

    void setMapper(Mapping value)

  Sets the value of the '`Mapper`' container reference.

  Parameters:
    `value` - the new value of the 'Mapper' container reference.
  See Also:
    `getMapper()`

### getHelpedObject

    EObject getHelpedObject()

  Returns the value of the 'Helped Object' reference.

  Returns:
    the value of the 'Helped Object' reference.
  See Also:
    `setHelpedObject(EObject)`, `MappingPackage.getMappingHelper_HelpedObject()`

### setHelpedObject

    void setHelpedObject(EObject value)

  Sets the value of the '`Helped Object`' reference.

  Parameters:
    `value` - the new value of the 'Helped Object' reference.
  See Also:
    `getHelpedObject()`

### getNestedIn

    MappingHelper getNestedIn()

  Returns the value of the 'Nested In' container reference. It is bidirectional and its opposite is '`Nested`'.

  Returns:
    the value of the 'Nested In' container reference.
  See Also:
    `setNestedIn(MappingHelper)`, `MappingPackage.getMappingHelper_NestedIn()`, `getNested()`

### setNestedIn

    void setNestedIn(MappingHelper value)

  Sets the value of the '`Nested In`' container reference.

  Parameters:
    `value` - the new value of the 'Nested In' container reference.
  See Also:
    `getNestedIn()`

### getNested

    EList<MappingHelper> getNested()

  Returns the value of the 'Nested' containment reference list. The list contents are of type `MappingHelper`. It is bidirectional and its opposite is '`Nested In`'.

  Returns:
    the value of the 'Nested' containment reference list.
  See Also:
    `MappingPackage.getMappingHelper_Nested()`, `getNestedIn()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.